Subject: Parser suggestion

From: [email-masked] (Ian McFarland)
Date: Wed, 3 Nov 1993 13:13:24 -0800

I just spent an inordinate amount of time trying to resolve a problem with
an object, because I thought it was a permission problem. The problem was
this:

My object (Generic Poetry Journal) has a verb: addl*ine any to this
The problem: Someone tried to 'addl "Upon" to journal'

The parser parsed "Upon" as upon, a preposition, and then parsed "to journal"
as the iobjstr. I would like to suggest that some future version of the
parser not parse explicitly declared strings as prepositions.

(The workaround was simple: adding a space at the end of the string cleared
the whole thing up, but still, it seems more intuitive to treat "upon" and
upon differently.)

If you'd like to try the object for yourself, there is one on MediaMOO
(#7143, I believe) and one on LambdaMOO as well. (I forget the object
number on Lambda. You can mail me for it if you're interested.)

I'm just relieved that it was something like this. Isn't debugging fun?
-Ian
(Hannes@LambdaMOO and IanM@MediaMOO)
-- 
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
- [email-masked]  or  [email-masked]              Jeste pivo, prosim! -
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=